Bug 187781 - [NEW PORT] devel/git-modes: GNU Emacs modes for Git-related files
Summary: [NEW PORT] devel/git-modes: GNU Emacs modes for Git-related files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-20 09:20 UTC by Yasuhiro Kimura
Modified: 2014-04-23 02:00 UTC (History)
0 users

See Also:


Attachments
.shar (2.81 KB, text/plain)
2014-03-20 09:20 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2014-03-20 09:20:00 UTC
GNU Emacs modes for Git-related files.

* git-commit-mode - A major mode for editing Git commit messages
  according to the guidelines by Tim Pope.
* git-rebase-mode - A major mode for git-rebase-todo files created by
  git rebase -i
* gitconfig-mode - A 'conf-mode'-derived major mode for editing
  .gitconfig files.
* gitignore-mode - A 'conf-mode'-derived major mode for editing
  .gitignore files.
* gitattributes-mode - A major mode for editing .gitattributes files.

WWW: https://github.com/magit/git-modes

Generated with FreeBSD Port Tools 1.00.2014.03.16 (mode: new)
Comment 1 Dmitry Marakasov freebsd_committer 2014-04-23 01:04:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2014-04-23 01:57:15 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2014-04-23 01:57:15 UTC
Author: amdmi3
Date: Wed Apr 23 00:57:10 2014
New Revision: 351893
URL: http://svnweb.freebsd.org/changeset/ports/351893
QAT: https://qat.redports.org/buildarchive/r351893/

Log:
  GNU Emacs modes for Git-related files.
  
  * git-commit-mode - A major mode for editing Git commit messages
    according to the guidelines by Tim Pope.
  * git-rebase-mode - A major mode for git-rebase-todo files created by
    git rebase -i
  * gitconfig-mode - A 'conf-mode'-derived major mode for editing
    .gitconfig files.
  * gitignore-mode - A 'conf-mode'-derived major mode for editing
    .gitignore files.
  * gitattributes-mode - A major mode for editing .gitattributes files.
  
  WWW: https://github.com/magit/git-modes
  
  PR:		187781
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Added:
  head/devel/git-modes/
  head/devel/git-modes/Makefile   (contents, props changed)
  head/devel/git-modes/distinfo   (contents, props changed)
  head/devel/git-modes/pkg-descr   (contents, props changed)
  head/devel/git-modes/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Apr 23 00:46:23 2014	(r351892)
+++ head/devel/Makefile	Wed Apr 23 00:57:10 2014	(r351893)
@@ -548,6 +548,7 @@
     SUBDIR += gio-sharp
     SUBDIR += git
     SUBDIR += git-merge-changelog
+    SUBDIR += git-modes
     SUBDIR += git-review
     SUBDIR += git-subversion
     SUBDIR += gitg

Added: head/devel/git-modes/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/git-modes/Makefile	Wed Apr 23 00:57:10 2014	(r351893)
@@ -0,0 +1,37 @@
+# Created by: KIMURA Yasuhiro <yasu@utahime.org>
+# $FreeBSD$
+
+PORTNAME=	git-modes
+PORTVERSION=	20140314
+CATEGORIES=	devel elisp
+PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
+
+MAINTAINER=	yasu@utahime.org
+COMMENT=	GNU Emacs modes for Git-related files
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	git>0:${PORTSDIR}/devel/git
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	magit
+GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	42e989c
+
+USES=		gmake
+USE_EMACS=	yes
+PORTDOCS=	CONTRIBUTING.md README.md
+
+ALL_TARGET=	lisp
+
+OPTIONS_DEFINE=	DOCS
+
+ELISPDIR=	${EMACS_VERSION_SITE_LISPDIR}/${PORTNAME}
+PLIST_SUB=	ELISPDIR=${ELISPDIR}
+
+do-install:
+	${MKDIR} ${STAGEDIR}${PREFIX}/${ELISPDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/*.el ${WRKSRC}/*.elc ${STAGEDIR}${PREFIX}/${ELISPDIR}
+	${INSTALL_MAN} ${WRKSRC}/CONTRIBUTING.md ${WRKSRC}/README.md ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/devel/git-modes/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/git-modes/distinfo	Wed Apr 23 00:57:10 2014	(r351893)
@@ -0,0 +1,2 @@
+SHA256 (git-modes-20140314.tar.gz) = 809c31b6346f76abf74dd072cdf2e2306d2d2bcb3c687e7471e88c35bc63f774
+SIZE (git-modes-20140314.tar.gz) = 28576

Added: head/devel/git-modes/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/git-modes/pkg-descr	Wed Apr 23 00:57:10 2014	(r351893)
@@ -0,0 +1,13 @@
+GNU Emacs modes for Git-related files.
+
+* git-commit-mode - A major mode for editing Git commit messages
+  according to the guidelines by Tim Pope.
+* git-rebase-mode - A major mode for git-rebase-todo files created by
+  git rebase -i
+* gitconfig-mode - A 'conf-mode'-derived major mode for editing
+  .gitconfig files.
+* gitignore-mode - A 'conf-mode'-derived major mode for editing
+  .gitignore files.
+* gitattributes-mode - A major mode for editing .gitattributes files.
+
+WWW: https://github.com/magit/git-modes

Added: head/devel/git-modes/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/git-modes/pkg-plist	Wed Apr 23 00:57:10 2014	(r351893)
@@ -0,0 +1,11 @@
+%%ELISPDIR%%/git-commit-mode.el
+%%ELISPDIR%%/git-commit-mode.elc
+%%ELISPDIR%%/git-rebase-mode.el
+%%ELISPDIR%%/git-rebase-mode.elc
+%%ELISPDIR%%/gitattributes-mode.el
+%%ELISPDIR%%/gitattributes-mode.elc
+%%ELISPDIR%%/gitconfig-mode.el
+%%ELISPDIR%%/gitconfig-mode.elc
+%%ELISPDIR%%/gitignore-mode.el
+%%ELISPDIR%%/gitignore-mode.elc
+@dirrm %%ELISPDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"